> ## Documentation Index > Fetch the complete documentation index at: https://docs.mapp.com/llms.txt > Use this file to discover all available pages before exploring further. # Get analysis result > Retrieve the analysis data. ## OpenAPI ````json GET /analysis-result/{calculationId} { "openapi": "3.0.3", "info": { "title": "Analytics API", "description": "OpenAPI 3.0 Specification of Mapp Intelligence AnalyticsAPI \n\n In order to use these endpoints you must authorize by using a valid OAuth clientID configured in Mapp Intelligence Settings section.", "version": "1.0.0", "contact": { "name": "Technical Support Mapp Digital", "url": "https://mapp.com/tech-support/" } }, "servers": [ { "url": "https://api.mapp.com/api/analytics", "description": "Production" } ], "security": [ { "oauth_security_scheme": [ "mapp.intelligence-api" ] } ], "tags": [ { "name": "Analysis", "description": "Submit analysis and get data" }, { "name": "Available Objects", "description": "Get information about available objects you can use to build Analysis" } ], "paths": { "/analysis-result/{calculationId}": { "get": { "tags": [ "Analysis" ], "summary": "Get analysis result", "description": "Retrieve the analysis data.", "externalDocs": { "url": "https://documentation.mapp.com" }, "parameters": [ { "name": "calculationId", "in": "path", "description": "ID of the calculated Data", "required": "true", "schema": { "type": "string" } } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/AnalysisResult" }, "examples": { "Simple analysis result": { "$ref": "#/components/examples/analysisResultExample" } } } } }, "403": { "$ref": "#/components/responses/Forbidden" }, "404": { "$ref": "#/components/responses/NotFound" } } } } }, "components": { "schemas": { "AnalysisResult": { "type": "object", "properties": { "calculationDataType": { "type": "string", "description": "DataType returned", "enum": [ "RAW_DATA", "RAW_DATA_SAMPLING" ] }, "rows": { "type": "array", "description": "Array of rows", "items": { "type": "array", "description": "Array of values following the strict order of the headers", "items": {} } }, "rowCount": { "type": "integer", "description": "Number of rows returned." }, "rowCountTotal": { "type": "integer", "description": "Number of rows in the whole resultSet wihtout subtotals" }, "headers": { "type": "array", "items": { "type": "object", "properties": { "name": { "type": "string", "description": "Name of the Dimension or Metric" }, "alias": { "type": "string", "description": "Generated unique identifier of the column in the analysis." }, "arrangeType": { "type": "string", "description": "Mapp identifier of the Dimension or Metric" }, "metric": { "type": "boolean", "description": "Indicates if column is a metric" }, "dimension": { "type": "boolean", "description": "Indicates if column is a dimension" }, "sumPositions": { "type": "array", "description": "Indicates which rows contains a (sub)total value", "items": { "type": "integer" } }, "pivotGroups": { "type": "array", "description": "Indicates which rows contains a grouping row", "items": { "type": "integer" } }, "sortIndex": { "type": "integer", "description": "Indicates order of sorting when there is more than one sorting column. (starting from 0)" }, "sortDirection": { "$ref": "#/components/schemas/SortDirectionEnum" } } } }, "columnCount": { "type": "integer", "description": "Number of columns" }, "warnings": { "type": "array", "description": "Array of warnings occurred during calculation", "items": { "$ref": "#/components/schemas/Warning" } }, "timerange": { "type": "array", "description": "time range boundaries with format yyyy-MM-dd HH:mm:ss", "minItems": "2", "maxItems": "2", "items": { "type": "string" } }, "timestamp": { "type": "string", "format": "date-time", "description": "Timestamp of the calculation" } } }, "SortDirectionEnum": { "type": "string", "description": "Possible sorting directions", "enum": [ "ASCENDING", "DESCENDING" ] }, "Warning": { "type": "object", "properties": { "name": { "type": "string", "description": "Each warnings has specific properties described in following table:\n\n| Warning| Description | Relevant parameters |\n| ---------------- | ------------| -----------------------------------|\n| FilterLogicalCubeMismatch | At least one filter is ignored due to incompatibily with Dimensions and Metrics used. | List of incomptible filter objects in _names_ array. |\n| InvalidMetricContext | Metric used in an invalid context. | List of metric with invalid context in _aliases_ array. |\n| SortingEnforced | Sorting criteria has been added automatically | List of objects that were sorted automatically in _aliases_ array. |\n| NoSortingDefined | Sorting criteria is required for some dimensions. | List of dimensions requiring a sorting in _names_ array. |\n| SortingLimitExceeded | 3 sorting criteria are allowed. All additional sorting criteria have been omitted.| List of columns ignored for sorting in _aliases_ array. |\n| SortingRemoved | A requested sorting criteria has been removed | List of objects that were removed automatically in _aliases_ array. |\n| TodayRemoved | Today date has been removed from calculation time range because the selected datasource does not contain it. | daysInDataSource, todayDate|", "enum": [ "FilterLogicalCubeMismatch", "InvalidMetricContext", "SortingEnforced", "NoSortingDefined", "SortingLimitExceeded", "SortingRemoved", "TodayRemoved" ] }, "parameters": { "type": "object", "properties": { "arrangeTypes": { "type": "array", "description": "List of internal object names (dimension, metrics, filter, ...) that corresponds to the warning.", "items": { "type": "string" } }, "aliases": { "type": "array", "description": "List of columns aliases that corresponds to the error. See Result Header alias property.", "items": { "type": "string" } }, "names": { "type": "array", "description": "List of object names (dimension, metrics, filter, ...) that corresponds to the warning.", "items": { "type": "string" } }, "daysInDataSource": { "type": "string", "description": "Number of days in the datasource which is beeing cut" }, "todayDate": { "type": "string", "description": "Date of the day being cut" } } } } }, "Problem": { "type": "object", "properties": { "status": { "type": "integer", "description": "HTTP Status Code" }, "statusCode": { "type": "string", "description": "Specific Mapp Error Code" }, "title": { "type": "string", "description": "Short description of the problem" }, "detail": { "type": "string", "description": "Detailed informations about the problem" }, "errors": { "type": "array", "items": { "$ref": "#/components/schemas/Error" } }, "warnings": { "type": "array", "items": { "$ref": "#/components/schemas/Warning" } } } }, "Error": { "type": "object", "properties": { "name": { "type": "string", "description": "Each error has specific properties described in following table:\n\n| Error| Description | Relevant parameters |\n| ---------------- | ------------| -----------------------------------|\n| UnmappedName | At least one object name cannot be found. | List of objects not found in _names_ array. |\n| PivotIncompatibleMetric | Metric not usable in Pivot detected.| List of incompatible Metrics in _names_ array. |\n| PivotIncompatibleDimension |Dimension not usable in Pivot detected. | List of incompatible Dimensions in _names_ array. |\n| AnalysisLogicalCubeMismatch | All Dimensions and Metrics are not compatible. | List of incompatible objects in _names_ array. |\n| InvalidSortingCriteria | Sorting is applied on a non-sortable object.| List of invalid sorted objects in _names_ array. |\n| TimeFilterMissing | Each query must have a minimum of one Time Filter.| N/A |\n| InvalidSegmentNoneContainer | A segment container has context set to NONE but either its connector is not set to AND or its inOrNotIn property is not set to IN.| N/A |", "enum": [ "UnmappedName", "PivotIncompatibleMetric", "PivotIncompatibleDimension", "AnalysisLogicalCubeMismatch", "InvalidSortingCriteria", "TimeFilterMissing", "InvalidSegmentNoneContainer" ] }, "parameters": { "type": "object", "properties": { "arrangeTypes": { "type": "array", "description": "List of internal object names (dimension, metrics, filter, ...) that corresponds to the error.", "items": { "type": "string" } }, "aliases": { "type": "array", "description": "List of columns aliases that corresponds to the error. See Result Header alias property.", "items": { "type": "string" } }, "names": { "type": "array", "description": "List of object names (dimension, metrics, filter, ...) that corresponds to the error.", "items": { "type": "string" } } } } } } }, "examples": { "analysisResultExample": { "value": { "calculationDataType": "RAW_DATA", "rows": [ [ "20210826", "Unknown", "7", "8", "100", "30", "85.71428571428571", null ], [ "20210826", "Microsoft", "3", "30", "0", "38.333333333333336", "0", null ], [ "20210826", "Apple", "3", "15", "0", "33", "0", "3" ], [ "20210826", null, "13", "53", "53.84615384615385", "32.61538461538461", "46.15384615384615", "3" ], [ "20210827", "Unknown", "7", "8", "100", "30", "85.71428571428571", null ], [ "20210827", "Microsoft", "3", "30", "0", "38.333333333333336", "0", null ], [ "20210827", "Apple", "3", "14", "0", "32.666666666666664", "0", "3" ], [ "20210827", null, "13", "52", "53.84615384615385", "32.53846153846154", "46.15384615384615", "3" ], [ "20210828", "Unknown", "8", "8", "100", "30", "100", null ], [ "20210828", "Microsoft", "7", "40", "0", "48.714285714285715", "14.285714285714285", null ], [ "20210828", "Apple", "3", "15", "0", "33", "0", "3" ], [ "20210828", null, "18", "63", "44.44444444444444", "37.77777777777778", "50", "3" ], [ "20210829", "Unknown", "6", "8", "100", "30", "83.33333333333334", null ], [ "20210829", "Apple", "3", "30", "0", "35.333333333333336", "0", "3" ], [ "20210829", "Microsoft", "2", "11", "0", "36", "0", null ], [ "20210829", null, "11", "49", "54.54545454545454", "32.54545454545455", "45.45454545454545", "3" ], [ "20210830", "Unknown", "8", "8", "100", "30", "100", null ], [ "20210830", "Apple", "3", "15", "0", "33.333333333333336", "0", "3" ], [ "20210830", "Microsoft", "2", "24", "0", "37.5", "0", null ], [ "20210830", null, "13", "47", "61.53846153846154", "31.923076923076923", "61.53846153846154", "3" ], [ "20210831", "Unknown", "7", "8", "100", "30", "85.71428571428571", null ], [ "20210831", "Microsoft", "4", "31", "0", "45", "25", null ], [ "20210831", "Apple", "3", "15", "0", "32.666666666666664", "0", "3" ], [ "20210831", null, "14", "54", "50", "34.857142857142854", "50", "3" ], [ "20210901", "Unknown", "8", "8", "100", "30", "100", null ], [ "20210901", "Apple", "5", "39", "0", "33.4", "0", "5" ], [ "20210901", "Microsoft", "2", "4", "0", "80", "50", null ], [ "20210901", null, "15", "51", "53.333333333333336", "37.8", "60", "5" ], [ null, null, "97", "369", "52.57731958762887", "34.58762886597938", "51.546391752577314", "23" ] ], "rowCount": "29", "rowCountTotal": "21", "headers": [ { "alias": "time_id_categories_t_year_month_day|0", "arrangeType": "time_id_categories_t_year_month_day", "sumPositions": [ "28" ], "pivotGroups": [ "0", "4", "8", "12", "16", "20", "24", "28" ], "name": "time_days", "metric": "false", "dimension": "true", "sortIndex": "0", "sortDirection": "ASCENDING" }, { "alias": "platform_vendor|0", "arrangeType": "platform_vendor", "sumPositions": [ "3", "7", "11", "15", "19", "23", "27", "28" ], "name": "os_vendor", "metric": "false", "dimension": "true" }, { "alias": "visits|0", "arrangeType": "visits", "name": "visits", "metric": "true", "dimension": "false" }, { "alias": "page_impressions|0", "arrangeType": "page_impressions", "name": "pages_pageImpressions", "metric": "true", "dimension": "false" }, { "alias": "predefined_formula_new_visitor_rate|0", "arrangeType": "predefined_formula_new_visitor_rate", "name": "visits_newShare", "metric": "true", "dimension": "false" }, { "alias": "predefined_formula_avg_visit_duration|0", "arrangeType": "predefined_formula_avg_visit_duration", "name": "visit_duration_avg", "metric": "true", "dimension": "false" }, { "alias": "predefined_formula_bounce_rate|0", "arrangeType": "predefined_formula_bounce_rate", "name": "visits_bounceRate", "metric": "true", "dimension": "false" }, { "alias": "visits|1", "arrangeType": "visits", "name": "visits", "metric": "true", "dimension": "false" } ], "columnCount": "8", "warnings": [], "timerange": [ "2021-08-25T22:00:00+00:00", "2021-09-01T22:00:00+00:00" ], "timestamp": "2021-09-02T07:15:43.567+00:00" } } }, "responses": { "Forbidden": { "description": "No permission to execute operation", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Problem" }, "examples": { "AnalysisNotFound": { "summary": "Invalid Token", "value": { "title": "Invalid Token", "status": "403", "detail": "Token not valid", "statusCode": "INVALID_TOKEN" } } } } } }, "NotFound": { "description": "Entity not found", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Problem" }, "examples": { "AnalysisNotFound": { "summary": "CorrelationId does not exist", "value": { "title": "Analysis not found", "status": "404", "detail": "Analysis not found", "statusCode": "ANALYSIS_NOT_FOUND" } } } } } } }, "securitySchemes": { "oauth_security_scheme": { "type": "oauth2", "flows": { "clientCredentials": { "tokenUrl": "https://auth.mapp.com/oauth2/token" } } } } } } ````